/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 *
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2004-2010 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *  Copyright (C) 2015-2019 by TOPPERS PROJECT Educational Working Group.
 *
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 *
 *  $Id: ulcdshield.h 2416 2019-01-30 18:24:25Z roi $
 */

/*
 *  UART/LCDץΥإåե
 */

/*
 *  åȰ¸
 */
#include "target_test.h"
#include "utility/hal_aci_tl.h"

/*
 *  ƥͥ٤
 */

#define MAIN_PRIORITY	8		/* ᥤ󥿥ͥ */
#define HIGH_PRIORITY	5		/* ACIͥ */

/*
 *  åȤ˰¸ǽΤ
 */

#ifndef TASK_PORTID
#define	TASK_PORTID		1			/* ʸϤ륷ꥢݡID */
#endif /* TASK_PORTID */

#ifndef STACK_SIZE
#define	STACK_SIZE		1792		/* Υå */
#endif /* STACK_SIZE */

#ifndef STACK_SIZE2
#define	STACK_SIZE2		1024		/* Υå */
#endif /* STACK_SIZE2 */

#define INHNO_SPI   IRQ_VECTOR_SPI1	/* ߥϥɥֹ */
#define INTNO_SPI   IRQ_VECTOR_SPI1	/* ֹ */
#define INTPRI_SPI  -2          /* ͥ */
#define INTATR_SPI  TA_EDGE     /* ° */

#define RDYIO       18

#define INHNO_RDY   (IRQ_VECTOR_GPIO+RDYIO)	/* ߥϥɥֹ */
#define INTNO_RDY   (IRQ_VECTOR_GPIO+RDYIO)	/* ֹ */
#define INTPRI_RDY  -1          /* ͥ */
#define INTATR_RDY  TA_EDGE     /* ° */


#ifndef TOPPERS_MACRO_ONLY

/*
 *  ؿΥץȥ
 */
extern void	main_task(intptr_t exinf);
extern void ble_rdy_int(void);
extern void	cyclic_handler(intptr_t exinf);
extern void device_info_init(intptr_t exinf);

#endif /* TOPPERS_MACRO_ONLY */
