/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 *
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2004-2010 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 *
 *  $Id: spitest.h 2416 2019-12-20 17:59:39Z ertl-hiro $
 */

/*
 *	SPIƥȤΥإåե
 */

/*
 *  åȰ¸
 */
#include "target_test.h"
#include "openamp.h"

/*
 *  ƥͥ٤
 */

#define MAIN_PRIORITY	5		/* ᥤ󥿥ͥ */

/*
 *  åȤ˰¸ǽΤ
 */

#ifndef TASK_PORTID
#define	TASK_PORTID		1			/* ʸϤ륷ꥢݡID */
#endif /* TASK_PORTID */

#ifndef STACK_SIZE
#define	STACK_SIZE		8192		/* Υå */
#endif /* STACK_SIZE */


#define HEAP_SIZE       (16*1024)

#define IPCC_CHANNEL    IPCC2_CONTROLID
#define INHNO_IPCCRX    IRQ_VECTOR_IPCC_RX1	/* ߥϥɥֹ */
#define INTNO_IPCCRX    IRQ_VECTOR_IPCC_RX1	/* ֹ */
#define INTPRI_IPCCRX   -2          /* ͥ */
#define INTATR_IPCCRX   TA_NULL     /* ° */

#ifndef TOPPERS_MACRO_ONLY

/*
 *  ҡΰ
 */
extern uint32_t heap_param[2];

/*
 *  ؿΥץȥ
 */
extern void	main_task(intptr_t exinf);

extern void device_info_init(intptr_t exinf);
extern void heap_init(intptr_t exinf);
extern void sw_handle(intptr_t exinf);
extern int8_t get_cup_command(void);

extern void IPCC_RX1_IRQHandler(void);

#endif /* TOPPERS_MACRO_ONLY */
