/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 *
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2004-2010 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 *
 *  $Id: ble_serial.h 2416 2012-09-07 08:06:20Z ertl-hiro $
 */

/*
 *	WDOG¹ԥƥȤΥإåե
 */

/*
 *  åȰ¸
 */
#include "target_test.h"

/*
 *  ƥͥ٤
 */
#define MAIN_PRIORITY	9		/* ᥤ󥿥ͥ */
#define COMM_PRIORITY   6		/* ̿ͥ */

/*
 *  åȤ˰¸ǽΤ
 */

#ifndef TASK_PORTID
#define	TASK_PORTID		1			/* ʸϤ륷ꥢݡID */
#endif /* TASK_PORTID */

#define COMM_PORTID     2			/* ̿ѥꥢݡID */

#ifndef STACK_SIZE
#define	STACK_SIZE		4096		/* Υå */
#endif /* STACK_SIZE */

#define QUEUE_SIZE            4096

#ifndef TOPPERS_MACRO_ONLY

/*
 *  QUEUEХåե
 */
typedef struct queue_s {
	uint16_t    size;
	uint16_t    top;
	uint16_t    tail;
	uint16_t    limit;
	uint8_t     *buffer;
} queue_t;

/*
 *  ؿΥץȥ
 */
extern void	main_task(intptr_t exinf);
extern void comm_task(intptr_t exinf);
extern void sw_handle(void);

extern void APP_DeviceName(const char *name);
extern void NUS_APP_SetParam(void *prxq, void *func);
extern uint8_t NUS_APP_GetConnect(void);
extern uint16_t NUS_APP_SetTxData(uint8_t *pdata, uint16_t len);

#endif /* TOPPERS_MACRO_ONLY */
