/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 *
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2004-2010 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 *
 *  $Id: spitest.h 2416 2012-09-07 08:06:20Z ertl-hiro $
 */

/*
 *	SPIƥȤΥإåե
 */

/*
 *  åȰ¸
 */
#include "target_test.h"
#include "glcd_disp.h"

/*
 *  ƥͥ٤
 */

#define MAIN_PRIORITY	5		/* ᥤ󥿥ͥ */
								/* HIGH_PRIORITY⤯뤳 */

/*
 *  åȤ˰¸ǽΤ
 */

#ifndef TASK_PORTID
#define	TASK_PORTID		1			/* ʸϤ륷ꥢݡID */
#endif /* TASK_PORTID */

#ifndef STACK_SIZE
#define	STACK_SIZE		4096		/* Υå */
#endif /* STACK_SIZE */

#define SPISDCARD_PORTID    0

#define SPIL_PORTID SPI1_PORTID
#define INHNO_SPIL  IRQ_VECTOR_SPI0	/* ߥϥɥֹ */
#define INTNO_SPIL  IRQ_VECTOR_SPI0	/* ֹ */
#define INTPRI_SPIL -5          /* ͥ */
#define INTATR_SPIL TA_EDGE     /* ° */

#define SPIS_PORTID SPI2_PORTID
#define INHNO_SPIS  IRQ_VECTOR_SPI1	/* ߥϥɥֹ */
#define INTNO_SPIS  IRQ_VECTOR_SPI1	/* ֹ */
#define INTPRI_SPIS -5          /* ͥ */
#define INTATR_SPIS TA_EDGE     /* ° */

#define DMALTX_CH     DMA1CH2_ID
#define INHNO_DMALTX  IRQ_VECTOR_DMA0_Channel2	/* ߥϥɥֹ */
#define INTNO_DMALTX  IRQ_VECTOR_DMA0_Channel2	/* ֹ */
#define INTPRI_DMALTX -4          /* ͥ */
#define INTATR_DMALTX TA_EDGE     /* ° */

/*
 *  RTC
 */
#define INHNO_RTCCMP    IRQ_VECTOR_RTC	/* ߥϥɥֹ */
#define INTNO_RTCCMP    IRQ_VECTOR_RTC	/* ֹ */
#define INTPRI_RTCCMP   -7			/* ͥ */
#define INTATR_RTCCMP   0			/* ° */

#define DC_GPIO       TADR_GPIOB_BASE
#define DC_PIN        0
#define RST_GPIO      TADR_GPIOB_BASE
#define RST_PIN       1
#define CS_GPIO       TADR_GPIOB_BASE
#define CS_PIN        2
#define CS2_GPIO      TADR_GPIOB_BASE
#define CS2_PIN       12

#define PORT_HIGH     1
#define PORT_LOW      0

#define cs_set(sw)  digitalWrite(CS_PIN, sw)
#define cs2_set(sw) digitalWrite(CS2_PIN, sw)


/*
 *  ؿΥץȥ
 */
#ifndef TOPPERS_MACRO_ONLY

extern void	main_task(intptr_t exinf);

extern void sw_int(void);
extern void device_info_init(intptr_t exinf);


#endif /* TOPPERS_MACRO_ONLY */
