/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 *
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2004-2010 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *  Copyright (C) 2016-2018 by TOPPERS PROJECT Educational Working Group.
 *
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 *
 *  $Id: usboest.h 2417 2018-07-05 18:19:09Z roi $
 */

/*
 *	USB OTGƥȤΥإåե
 */

/*
 *  åȰ¸
 */
#include "target_test.h"
#include "usb_otg.h"
#include "tusbh_hid.h"
#include "tusbh_msc.h"
#include "tusbh_prt.h"
#include "tusbh_serial.h"
#include "tusbh_bluetooth.h"
#include "hid_appli.h"

/*
 *  ƥͥ٤
 */

#define MAIN_PRIORITY	10		/* ᥤ󥿥ͥ */
								/* HIGH_PRIORITY⤯뤳 */

#define HIGH_PRIORITY	8		/* ¹Լ¹Ԥ륿ͥ */
#define MID_PRIORITY	10
#define LOW_PRIORITY	11
#define USBD_PROCESS_PRIO    8

/*
 *  åȤ˰¸ǽΤ
 */

#ifndef TASK_PORTID
#define	TASK_PORTID		1			/* ʸϤ륷ꥢݡID */
#endif /* TASK_PORTID */

#ifndef STACK_SIZE
#define	STACK_SIZE		4096		/* Υå */
#endif /* STACK_SIZE */
#define USBD_PROCESS_STACK_SIZE 1024

#define INHNO_USBHS   IRQ_VECTOR_OTG_HS	/* ߥϥɥֹ */
#define INTNO_USBHS   IRQ_VECTOR_OTG_HS	/* ֹ */
#define INTPRI_USBHS  -5			/* ͥ */
#define INTATR_USBHS  0				/* ° */

#define INHNO_HSWKUP  IRQ_VECTOR_OTG_HS_WKUP	/* ߥϥɥֹ */
#define INTNO_HSWKUP  IRQ_VECTOR_OTG_HS_WKUP	/* ֹ */
#define INTPRI_HSWKUP -10			/* ͥ */
#define INTATR_HSWKUP 0				/* ° */

#define NUM_USBH_EVT1   64
#define NUM_USBH_EVT2   16

#ifndef TOPPERS_MACRO_ONLY

/*
 *  ҡΰ
 */
extern uint32_t heap_param[2];

/*
 *  ؿΥץȥ
 */
extern void	main_task(intptr_t exinf);
extern void usbd_task(intptr_t exinf);

extern void sw_int(void);
extern void device_info_init(intptr_t exinf);
extern void heap_init(intptr_t exinf);

#endif /* TOPPERS_MACRO_ONLY */
