/*
 *  TOPPERS BASE PLATFORM MIDDLEWARE
 * 
 *  Copyright (C) 2017-2017 by TOPPERS PROJECT
 *                             Educational Working Group.
 * 
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 * 
 *  @(#) $Id: dwc2_host_driver.h 698 2017-09-23 16:44:40Z roi $
 */
/*
 *  DWC2 HIGH DRIVER 󥯥롼ɥե
 */


#ifndef _DWC2_HOST_DRIVER_H_
#define _DWC2_HOST_DRIVER_H_

#include "tusb_rtos.h"
#include "usb_otg.h"

#ifdef __cplusplus
 extern "C" {
#endif

#define dwc2_host_gettraslength(h, n)   (((USB_OTG_Handle_t *)((h)->pSysData))->hc[(n)].xfer_count)

/*
 *  DWC2 HOST HIGH DRIVERؿץȥ
 */
extern TUSBH_ERCODE dwc2_host_init(TUSBH_Handle_t *phost);
extern TUSBH_ERCODE dwc2_host_deinit(TUSBH_Handle_t *phost);
extern TUSBH_ERCODE dwc2_host_start(TUSBH_Handle_t *phost);
extern uint8_t      dwc2_host_getspeed(TUSBH_Handle_t *phost);

extern TUSBH_ERCODE dwc2_host_openpipe(TUSBH_Handle_t *phost, uint8_t, uint8_t, uint8_t, uint8_t, uint8_t, uint16_t);
extern TUSBH_ERCODE dwc2_host_closepipe(TUSBH_Handle_t *phost, uint8_t);
extern TUSBH_ERCODE dwc2_host_submiturb(TUSBH_Handle_t *phost, uint8_t, uint8_t,  uint8_t, uint8_t*, uint16_t, uint8_t);
extern bool_t       dwc2_host_checkpipe(TUSBH_Handle_t *phost, uint8_t pipe);
extern TUSBH_ERCODE dwc2_host_settoggle(TUSBH_Handle_t *phost, uint8_t , uint8_t);
extern uint8_t      dwc2_host_gettoggle(TUSBH_Handle_t *phost, uint8_t);

#ifdef __cplusplus
}
#endif

#endif /* _DWC2_HOST_DRIVER_H_ */

