/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 * 
 *  Copyright (C) 2008-2011 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *  Copyright (C) 2015-2020 by TOPPERS PROJECT Educational Working Group.
 * 
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 * 
 *  @(#) $Id: device.h 699 2020-10-13 12:06:10Z roi $
 */
/*
 *  FE310ѥǥХɥ饤Фγ
 */

#ifndef _DEVICE_H_
#define _DEVICE_H_

#ifdef __cplusplus
 extern "C" {
#endif

/*
 *  TOPPERS BASE PLATFORM
 */
#define TOPPERS_BASE_PLATFORM_FE310
#define SPI_DRIVER_NOSTART

/*
 *  С
 */
#define	TPLATFORM_PRVER 0x1042		/* ץåȥեΥСֹ */

/*
 * ԥ
 */

#define PINPOSITION0    0
#define PINPOSITION1    1
#define PINPOSITION2    2
#define PINPOSITION3    3
#define PINPOSITION4    4
#define PINPOSITION5    5
#define PINPOSITION6    6
#define PINPOSITION7    7
#define PINPOSITION8    8
#define PINPOSITION9    9
#define PINPOSITION10   10
#define PINPOSITION11   11
#define PINPOSITION12   12
#define PINPOSITION13	13
#define PINPOSITION14	14
#define PINPOSITION15	15
#define PINPOSITION16	16
#define PINPOSITION17	17
#define PINPOSITION18	18
#define PINPOSITION19	19
#define PINPOSITION20	20
#define PINPOSITION21	21
#define PINPOSITION22	22
#define PINPOSITION23	23
#define PINPOSITION24	24
#define PINPOSITION25	25
#define PINPOSITION26	26
#define PINPOSITION27	27
#define PINPOSITION28	28
#define PINPOSITION29	29
#define PINPOSITION30	30
#define PINPOSITION31	31

#define GPIO_PIN_0      (1<<PINPOSITION0)
#define GPIO_PIN_1      (1<<PINPOSITION1)
#define GPIO_PIN_2      (1<<PINPOSITION2)
#define GPIO_PIN_3      (1<<PINPOSITION3)
#define GPIO_PIN_4      (1<<PINPOSITION4)
#define GPIO_PIN_5      (1<<PINPOSITION5)
#define GPIO_PIN_6      (1<<PINPOSITION6)
#define GPIO_PIN_7      (1<<PINPOSITION7)
#define GPIO_PIN_8      (1<<PINPOSITION8)
#define GPIO_PIN_9      (1<<PINPOSITION9)
#define GPIO_PIN_10     (1<<PINPOSITION10)
#define GPIO_PIN_11     (1<<PINPOSITION11)
#define GPIO_PIN_12     (1<<PINPOSITION12)
#define GPIO_PIN_13     (1<<PINPOSITION13)
#define GPIO_PIN_14     (1<<PINPOSITION14)
#define GPIO_PIN_15     (1<<PINPOSITION15)
#define GPIO_PIN_16     (1<<PINPOSITION16)
#define GPIO_PIN_17     (1<<PINPOSITION17)
#define GPIO_PIN_18     (1<<PINPOSITION18)
#define GPIO_PIN_19     (1<<PINPOSITION19)
#define GPIO_PIN_20     (1<<PINPOSITION20)
#define GPIO_PIN_21     (1<<PINPOSITION21)
#define GPIO_PIN_22     (1<<PINPOSITION22)
#define GPIO_PIN_23     (1<<PINPOSITION23)
#define GPIO_PIN_24     (1<<PINPOSITION24)
#define GPIO_PIN_25     (1<<PINPOSITION25)
#define GPIO_PIN_26     (1<<PINPOSITION26)
#define GPIO_PIN_27     (1<<PINPOSITION27)
#define GPIO_PIN_28     (1<<PINPOSITION28)
#define GPIO_PIN_29     (1<<PINPOSITION29)
#define GPIO_PIN_30     (1<<PINPOSITION30)
#define GPIO_PIN_31     (1<<PINPOSITION31)

/*
 *  GPIO⡼ɥѥ᡼
 */
#define GPIO_MODE_INPUT     0x00000000	/* Input Floating Mode */
#define GPIO_MODE_OUTPUT    0x00000001	/* Output Mode */

/*
 *  GPIO-EXTI⡼ɥѥ᡼
 */
#define GPIO_MODE_IT_RISING             0x00110000	/* Interrupt Mode with Rising edge trigger detection */
#define GPIO_MODE_IT_FALLING            0x00210000	/* Interrupt Mode with Falling edge trigger detection */
#define GPIO_MODE_IT_RISING_FALLING     0x00310000	/* Interrupt Mode with Rising/Falling edge trigger detection */
#define GPIO_MODE_IT_LEVEL_HIGH         0x00150000	/* Interrupt Mode with Level High detection */
#define GPIO_MODE_IT_LEVEL_LOW          0x00250000	/* Interrupt Mode with Level Low detection */

/*
 *  GPIOȥץåѥ᡼
 */
#define GPIO_OTYPE_PP       0x0
#define GPIO_OTYPE_OD       0x1

/*
 *  GPIOȥץåXORѥ᡼
 */
#define GPIO_OUTPUT_NORMAL  0x00000000	/* Output normal */
#define GPIO_OUTPUT_XOR     0x00000001	/* Output xor  */

/*
 *  GPIOץ륢åץѥ᡼
 */
#define GPIO_NOPULL         0x00000000	/* No Pull-up or Pull-down activation  */
#define GPIO_PULLUP         0x00000001	/* Pull-up activation                  */
#define GPIO_PULLDOWN       0x00000002	/* Pull-down activation                */

/*
 *  GPIO-IOF
 */
#define GPIO_NOIOF          0x00000000	/* IOF notuse */
#define GPIO_IOF0			0x00000001	/* IOF#0 select */
#define GPIO_IOF1           0x00000003	/* TOF#1 select */

/*
 *  GPIO
 */
typedef struct
{
    uint32_t    mode;		/* specifies the operating mode for the selected pins. */
	uint32_t    pull;		/* specifies the Pull-up or Pull-Down */
	uint32_t    otype;		/* output type */
	uint32_t    oxor;		/* output xor */
	uint32_t    iof;		/* select iof */
}GPIO_Init_t;

typedef struct {
	uint32_t    base;
	uint32_t    pinmap;
} GPIO_Init_Table;


extern void gpio_setup(uint32_t base, GPIO_Init_t *init, uint32_t pin);


/*
 *  ƥ९å֤
 */
extern uint32_t get_sysclock(uint8_t *sws);


/*
 *  WINDOW-WDOGɥ饤
 */
#define WDOG1_PORTID        1
#define NUM_WDOGPORT        1

extern ER wdog_init(ID portid, uint16_t wdogtime);
extern ER wdog_deinit(ID portid);
extern ER wdog_reset(ID portod);


#define INHNO_RTCCMP    IRQ_VECTOR_RTCCMP	/* ߥϥɥֹ */
#define INTNO_RTCCMP    IRQ_VECTOR_RTCCMP	/* ֹ */
#define INTPRI_RTCCMP   -1			/* ͥ */
#define INTATR_RTCCMP   0			/* ° */

/*
 *  Ѥι¤Τ
 */
struct tm2 {
  int	tm_sec;			/*  */
  int	tm_min;			/* ʬ */
  int	tm_hour;		/*  */
  int	tm_mday;		/*  */
  int	tm_mon;			/*  */
  int	tm_year;		/* ǯ */
  int	tm_wday;		/*  */
  int	tm_yday;		/* ǯ */
  int	tm_isdst;
};

extern void rtc_init(intptr_t exinf);
extern ER rtc_set_time(struct tm2 *ptm);
extern ER rtc_get_time(struct tm2 *ptm);
extern ER rtc_setalarm(struct tm2 *ptm, void *func);
extern void rtc_handler(void);


/*
 *  DIPSW
 */
#define DSW1             0x01
#define DSW2             0x02
#define DSW3             0x04
#define DSW4             0x08

/*
 *  LED³ݡȽ
 */ 
extern void led_init(intptr_t exinf);

/*
 *  LED³ݡɤ߽Ф
 */
uint_t led_in_color(uint8_t no);

/*
 *  LED³ݡȽ񤭹
 */
void led_out_color(uint8_t no, uint16_t led_data);


/*
 *  DIPSWμФ
 */
uint_t switch_dip_sense(void);


extern void device_info_init(intptr_t exinf);

extern uint_t dipsw_value;

#ifdef __cplusplus
}
#endif

#endif

